<template>
  <div class="project-edit">
    <ProjectForm :project="project" v-if="project" />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { ProjectForm as ProjectFormType } from '@/types';
import axios from 'axios';
import ProjectForm from '@/components/pages/projects/ProjectForm.vue';

@Component({
  components: {
    ProjectForm,
  },
})
export default class ProjectEdit extends Vue {
  private project: ProjectFormType | null = null

  async fetch() {
    const { data } = await axios.get(`/projects/${this.$route.params.id}`);
    this.project = {
      name: data.name,
      sourceLanguage: data.sourceLanguage,
      targetLanguages: data.targetLanguages,
      status: data.status,
      dateCreated: data.dateCreated,
      dateUpdated: data.dateUpdated,
      dateDue: data.dateDue,
    };
  }

  mounted() {
    this.fetch();
  }
}
</script>
